package tests;

import entities.pkg.Theatre;
import entities.pkg.TheatreLocation;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TestsRunner {
    
    private static EntityManagerFactory emf = Persistence.createEntityManagerFactory("one-to-one-cascade-overridePU");
    
    private static long LOCATION_ID = 109;;
    private static String ADDRESS = "Knoxville, TN";
    private static long THEATRE_ID = 369;
    private static String CODE = "KTN";
    
    public static void main(String args[]){
        TestsRunner runner = new TestsRunner();
        
        runner.persistTheatreAndTheatreLocation();
    }
    
    private void persistTheatreAndTheatreLocation() {
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        
        TheatreLocation location = new TheatreLocation();
        location.setId(LOCATION_ID);
        location.setAddress(ADDRESS);
        
        Theatre theatre = new Theatre();
        theatre.setId(THEATRE_ID);
        theatre.setCode(CODE);
        
//        theatre.setLocation(location);
//        location.setTheatre(theatre);
        
        em.persist(theatre);
        em.getTransaction().commit();
        
        System.out.println("Persist of Theatre without TheatreLocation should have caused an error  !!");
    }
        
}
